> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific Group of Missions

> Allows searching for Group of Missions (campaign) by ID if available to the current authenticated user.



## OpenAPI

````yaml /mission-v2-openapi.yaml get /v2/campaigns/{campaignID}
openapi: 3.0.3
info:
  title: Mission Service v2
  description: RESTful API for managing campaigns, tasks, and mission-related operations.
  version: 1.0.29
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/tasks
    description: Commercial
  - url: https://client.synack.us/api/tasks
    description: FedRAMP (Medium)
security:
  - bearerAuth: []
tags:
  - name: Missions
    description: Access mission information.
paths:
  /v2/campaigns/{campaignID}:
    get:
      tags:
        - Missions
      summary: Search for Group of Missions by ID.
      description: >-
        Allows searching for Group of Missions (campaign) by ID if available to
        the current authenticated user.
      operationId: GetCampaignByID
      parameters:
        - name: campaignID
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: includeTaskStats
          description: >
            If this set to true, then additional tasks stats fields will be set
            for the campaign in the response which include:
              * tasksTotal
              * tasksCompleted
              * tasksPassed
              * tasksFailed
          in: query
          required: false
          schema:
            type: boolean
            default: false
        - name: includeCatalogCategory
          description: >-
            If set to true, then the CampaignCatalog that this Campaign belongs
            to will be included in the response.
          in: query
          required: false
          schema:
            type: boolean
            default: false
        - name: creditsDeducted
          description: Whether to return deducted credits.
          in: query
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successful operation.
          headers:
            X-Request-ID:
              $ref: '#/components/schemas/RequestID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCampaignResult'
        '403':
          description: >-
            Returned whenever a user does not have the required features
            enabled, has no orgs/listings assigned.
          headers:
            X-Request-ID:
              $ref: '#/components/schemas/RequestID'
          content:
            application/problem+json:
              schema:
                type: object
        '404':
          description: Campaign not found
          headers:
            X-Request-ID:
              $ref: '#/components/schemas/RequestID'
components:
  schemas:
    RequestID:
      type: string
      format: uuid
      description: >-
        A unique UUID generated for every request. In the case of an error, this
        error should be included in the error report by the user so that we can
        easily filter the logs and find the error quicker.
    GetCampaignResult:
      type: object
      description: Response model used by the GET /campaigns/:campaignID endpoint.
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
        assetType:
          type: array
          items:
            type: string
        isRetestable:
          type: boolean
          description: |
            This flag will be set to true if these conditions are met:
              * The campaign is completed.
              * The campaign is not a retest (parentUid is NULL).
              * The campaign's listing has the boss active flag set to true.
              * The campaign's listing has active tests.
              * The campaign's listing is not paused by the client.
        parentUid:
          type: string
          format: uuid
          nullable: true
        status:
          $ref: '#/components/schemas/CampaignStatus'
        createdOn:
          type: string
          format: date
          nullable: false
        modifiedOn:
          type: string
          format: date
          nullable: true
        publishedOn:
          type: string
          format: date
          nullable: true
        completedOn:
          type: string
          format: date
          nullable: true
        scheduledOn:
          type: string
          format: date
          nullable: true
        listing:
          type: object
        scope:
          type: string
        tasksCompleted:
          type: integer
        tasksTotal:
          type: integer
        tasksPassed:
          type: integer
        tasksFailed:
          type: integer
        campaignTemplateUid:
          type: string
          format: uuid
        campaignTemplateVersion:
          type: integer
        deactivated:
          type: string
          format: date
          nullable: true
        organizationUid:
          type: string
          format: uuid
        creditsDeducted:
          type: integer
          nullable: true
        catalogCategory:
          $ref: '#/components/schemas/CatalogCategoryResult'
    CampaignStatus:
      type: string
      description: Campaign status enum.
      enum:
        - CREATED
        - COMPLETED
        - PUBLISHED
    CatalogCategoryResult:
      type: object
      description: >-
        The CatalogCategory which this Campaign belongs to (via
        CampaignTemplate).
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````